#!/usr/bin/env sh

alpine_install=${INSTALL:-'alpine-chroot-install'}
alpine_directory=${DIR:-'/alpine'}

# Tests
DIR="${alpine_directory}"
if ! [[ $DIR == /* ]]; then
  echo "DIR is not an absolute URL. It should start with a '/'" && exit 1
fi

# DL alpine install script
if ! test -f "$alpine_install"; then
  wget https://raw.githubusercontent.com/alpinelinux/alpine-chroot-install/v0.9.0/alpine-chroot-install -O "$alpine_install" \
    && echo 'e5dfbbdc0c4b3363b99334510976c86bfa6cb251  alpine-chroot-install' | sha1sum -c \
      || exit 1
  chmod +x "$alpine_install"
fi

# Install Alpine
if ! test -d "$DIR"; then
  sudo sh ./$alpine_install -d $DIR -p build-base -p git -p zsh -p lua-filesystem -p luarocks5.1 -p lua-toml -p moonscript -p abuild -p lua-argparse || exit 1
fi

# Set rc_sys="prefix" to not disturb systemd on current system
sudo sed -e 's/#rc_sys=""/rc_sys="prefix"/g' -i "$DIR/etc/rc.conf"

# Launch chroot
sh $DIR/enter-chroot ./build

exit 0
